pangomm: Pango::AttrString Class Reference

pangomm 2.28.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions
Pango::AttrString Class Reference

A Pango::AttrString is used to represent an attribute with a string value. More...

Inheritance diagram for Pango::AttrString:
[legend]
Collaboration diagram for Pango::AttrString:
[legend]

List of all members.

## Public Member Functions
| AttrString (const AttrString& src)
| AttrString (PangoAttrString* castitem, bool take_copy=true)
AttrString& | operator= (const AttrString& src)
Glib::ustring | get_string () const
| Gets the string which is the value of the attribute.
void | set_string (const Glib::ustring&string)
| Sets the string which is the value of the attribute.
PangoAttrString* | gobj ()
| Provides access to the underlying C GObject.
const PangoAttrString* | gobj () const
| Provides access to the underlying C GObject.
## Protected Member Functions
| AttrString ()
## Related Functions
(Note that these are not member functions.)
Pango::AttrString | wrap (PangoAttrString* object, bool take_copy=false)

## Detailed Description

A Pango::AttrString is used to represent an attribute with a string value.

## Constructor & Destructor Documentation

Pango::AttrString::AttrString | ( |  | ) | `[protected]`

Pango::AttrString::AttrString | ( | const AttrString& | src | ) |

Pango::AttrString::AttrString | ( | PangoAttrString * | castitem,
|  | bool | take_copy = `true`
| ) |  | `[explicit]`

## Member Function Documentation

Glib::ustring Pango::AttrString::get_string | ( |  | ) | const

Gets the string which is the value of the attribute.

Returns:
  The string value of the attribute.

const PangoAttrString* Pango::AttrString::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Pango::Attribute.

PangoAttrString* Pango::AttrString::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Pango::Attribute.

AttrString& Pango::AttrString::operator= | ( | const AttrString& | src | ) |

void Pango::AttrString::set_string | ( | const Glib::ustring & | string | ) |

Sets the string which is the value of the attribute.

Parameters:

  string | The new string value for the attribute.

## Friends And Related Function Documentation

Pango::AttrString wrap | ( | PangoAttrString * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

The documentation for this class was generated from the following file:

- pangomm/attributes.h